# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Term-Table
Version:	0.008
Release:	1.%{__distinit}%{__distvers}
Summary:	Format a header and rows into a table
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Term-Table/
Source0:	http://www.cpan.org/authors/id/E/EX/EXODIST/Term-Table-%{version}.tar.gz
Patch0:		Term-Table-0.002-old-Test::More.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Importer) >= 0.024
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(base)
BuildRequires:	perl(Test2::API)
BuildRequires:	perl(Test2::Tools::Tiny) >= 1.302072
BuildRequires:	perl(Test::More)
BuildRequires:	perl(utf8)
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Optional functionality support if we can do weak dependencies
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
# Term::Size::Any for terminal width
BuildRequires:	perl(Term::Size::Any) >= 0.002
Recommends:	perl(Term::Size::Any) >= 0.002
# Unicode::GCString for formatting double-width string
BuildRequires:	perl(Unicode::GCString) >= 2013.10
Recommends:	perl(Unicode::GCString) >= 2013.10
%if 0%{?fedora} > 21
BuildRequires:	perl(Unicode::LineBreak) >= 2015.06
Recommends:	perl(Unicode::LineBreak) >= 2015.06
%endif
%endif

%description
This module is able to generically format rows of data into tables.

%prep
%setup -q -n Term-Table-%{version}

# Avoid need for Test::More ≥ 0.88
%patch0

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/Term/
%{_mandir}/man3/Term::Table.3*
%{_mandir}/man3/Term::Table::Cell.3*
%{_mandir}/man3/Term::Table::CellStack.3*
%{_mandir}/man3/Term::Table::HashBase.3*
%{_mandir}/man3/Term::Table::LineBreak.3*
%{_mandir}/man3/Term::Table::Util.3*

%changelog
* Sun Mar 19 2017 Paul Howarth <paul@city-fan.org> - 0.008-1
- Update to 0.008
  - Remove stray line that was setting STDOUT to utf8
  - Prefer Term::Size::Any over Term::ReadKey
  - Do not use either if STDOUT is not a terminal

* Wed Jan 11 2017 Paul Howarth <paul@city-fan.org> - 0.006-1
- Update to 0.006
  - Fix rendering issue when all lines are the same length

* Thu Dec 29 2016 Paul Howarth <paul@city-fan.org> - 0.005-1
- Update to 0.005
  - Add Term::Table::Spacer

* Wed Dec 21 2016 Paul Howarth <paul@city-fan.org> - 0.004-1
- Update to 0.004
  - Add Term::Table::CellStack to represent a vertically merged cell in a table

* Tue Dec 20 2016 Paul Howarth <paul@city-fan.org> - 0.003-1
- Update to 0.003
  - Fix recommended deps

* Tue Dec 20 2016 Paul Howarth <paul@city-fan.org> - 0.002-1
- Initial RPM version
